.modals-overlay {
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    position: fixed;
    /* background: rgba(0, 0, 0, 0.5); */
    z-index: 999;
}

.modals-layer {
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    position: fixed;
    z-index: 1000;
    display: flex;
    align-items: center;
    justify-content: center;
    background: rgba(0, 0, 0, 0.5);
}

.modals-layer .modal {
    border-radius: 24px;
    overflow: hidden;
}

.modals-layer .modal .modal-container {
    width: calc(380px - 18px - 18px);
    padding-right: 0px;
    background: #fff;
    border-radius: 24px;
}

.modals-layer .modal .modal-container .modal-wrapper {
    display: flex;
    flex-direction: column;
    gap: 20px;
    padding-right: 18px;
    max-height: 675px;
    overflow-y: auto;
}

@media (max-height: 675px) {
    .modals-layer .modal .modal-container .modal-wrapper {
        max-height: 100vh;
    }
}

.modals-layer .modal.fixed-height .modal-container {
    min-height: 600px;
}

.modals-layer .modal .modal-container .modal-wrapper .modal-content {
    display: flex;
    flex-direction: column;
    gap: 20px;
    padding: 18px;
    padding-right: 0;
}

.modals-layer .modal .modal-container .modal-wrapper .os-scrollbar {
    --os-size: 18px;
    padding-right: 7px;
    padding-left: 7px;
    padding-top: 18px;
    padding-bottom: 18px;
}

.modals-layer .modal .modal-container .modal-wrapper .os-viewport {
    padding-right: 18px;
}

/* .modals-layer .modal .modal-container .modal-wrapper {
    overflow-y: auto;
    scrollbar-width: thin;
    scrollbar-color: rgba(0, 0, 0, 0.45) transparent;
}

.modals-layer .modal .modal-container .modal-wrapper::-webkit-scrollbar {
    width: 6px;
    height: 6px;
}

.modals-layer .modal .modal-container .modal-wrapper::-webkit-scrollbar-track {
    background: transparent;
}

.modals-layer .modal .modal-container .modal-wrapper::-webkit-scrollbar-thumb {
    background-color: rgba(0, 0, 0, 0.45);
    border-radius: 999px;
}

.modals-layer .modal .modal-container .modal-wrapper::-webkit-scrollbar-button,
.modals-layer .modal .modal-container .modal-wrapper::-webkit-scrollbar-button:vertical:start:decrement,
.modals-layer .modal .modal-container .modal-wrapper::-webkit-scrollbar-button:vertical:end:increment,
.modals-layer .modal .modal-container .modal-wrapper::-webkit-scrollbar-button:horizontal:start:decrement,
.modals-layer .modal .modal-container .modal-wrapper::-webkit-scrollbar-button:horizontal:end:increment {
    width: 0;
    height: 0;
    display: none;
    background: transparent;
    -webkit-appearance: none;
} */

.modals-layer .modal .modal-container .modal-header {
    display: flex;
    align-items: center;
    justify-content: space-between;
}
.modals-layer .modal .modal-container .modal-header .modal-title {
    color: #121417;
    font-size: 20px;
    font-weight: 600;
}
.modals-layer .modal .modal-container .modal-header .modal-close {
    cursor: pointer;
    width: 30px;
    height: 30px;
    display: flex;
    justify-content: center;
    align-items: center;
}
.modals-layer .modal .modal-container .modal-header .modal-close svg {
    color: #8a919b;
    transition: all 300ms;
}

.modals-layer .modal .modal-container .modal-header .modal-close:hover svg {
    color: #121417;
    transition: all 300ms;
}

.modals-layer .modal .modal-container .modal-body {
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.modals-layer .modal .modal-container .modal-body .modal-error {
    color: #D64545;
    font-size: 12px;
    font-weight: 500;
    text-align: center;
    padding: 0px 10px;
}

/* Modal Navigation */
.modals-layer .modal .modal-container .modal-body .modal-navigation {
    width: calc(100% - 4px);
    height: calc(50px - 4px);
    padding: 2px;
    border-radius: 14px;
    background: rgba(232, 234, 237, 0.50);
}
.modals-layer .modal .modal-container .modal-body .modal-navigation .modal-navigation-item-active {
    border-radius: 14px;
    background: #2F80ED;
    position: relative;
    z-index: 0;
    margin-bottom: -46px;
    opacity: 1;
    transition: all 300ms;
    height: 46px;
}
.modals-layer .modal .modal-container .modal-body .modal-navigation .modal-navigation-items {
    display: flex;
    position: relative;
    z-index: 1;
}
.modals-layer .modal .modal-container .modal-body .modal-navigation .modal-navigation-item {
    width: 100%;
    height: 46px;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 8px;
    color: #121417;
    font-size: 14px;
    font-weight: 500;
    transition: color 300ms;
    cursor: pointer;
}
.modals-layer .modal .modal-container .modal-body .modal-navigation .modal-navigation-item svg {}


.modals-layer .modal .modal-container .modal-body .modal-navigation .modal-navigation-item.active {
    color: #fff;
    transition: color 300ms;
}
.modals-layer .modal .modal-container .modal-body .modal-navigation .modal-navigation-item:hover {}

/* Modal Form */
.modals-layer .modal .modal-container .modal-body .modal-form {
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.modals-layer .modal .modal-container .modal-body .modal-form .form-group {
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.modals-layer .modal .modal-container .modal-body .modal-form .modal-form-input-group {
    display: flex;
    flex-direction: column;
    gap: 4px;
}

.modals-layer .modal .modal-container .modal-body .modal-form .modal-form-input-group .modal-form-input-error {
    color: #D64545;
    font-size: 12px;
    font-weight: 500;
    text-align: right;
    word-break: break-word;
}

.modals-layer .modal .modal-container .modal-body .modal-form .modal-form-input {
    display: flex;
    gap: 8px;
    width: calc(100% - 2px - 28px);
    height: calc(50px - 2px);
    padding: 0px 14px;
    border-radius: 14px;
    background: #F4F5F6;
    align-items: center;
    border: 1px solid #F4F5F6;
    transition: border 300ms;
}

.modals-layer .modal .modal-container .modal-body .modal-form .modal-form-input.currency-input {
    cursor: pointer;
}

.modals-layer .modal .modal-container .modal-body .modal-form .modal-form-input.currency-input:hover .modal-form-input-additional-content .svg-button svg {
    color: #8a919b;
    transition: all 300ms;
}

.modals-layer .modal .modal-container .modal-body .modal-form .modal-form-input .modal-form-input-additional-content .svg-verified {
    width: 16px;
    height: 16px;
    display: flex;
    justify-content: center;
    align-items: center;
    margin-right: 12px;
}

.modals-layer .modal .modal-container .modal-body .modal-form .modal-form-input .modal-form-input-additional-content .svg-verified svg {
    color: #2EA66A;
}


.modals-layer .modal .modal-container .modal-body .modal-form .modal-form-input .modal-form-input-additional-content .link-button {
    font-size: 14px;
    font-weight: 500;
    color: #2F80ED;
    cursor: pointer;
    padding-right: 13px;
    transition: color 300ms;
}

.modals-layer .modal .modal-container .modal-body .modal-form .modal-form-input .modal-form-input-additional-content .link-button:hover {
    color: #4394FF;
    transition: color 300ms;
}

.modals-layer .modal .modal-container .modal-body .modal-form .modal-form-input .modal-form-input-additional-content .dots {}

.modals-layer .modal .modal-container .modal-body .modal-form .modal-form-input.focused {
    border: 1px solid #2F80ED;
    transition: border 300ms;
}

.modals-layer .modal .modal-container .modal-body .modal-form .modal-form-input.errored  {
    border: 1px solid #D64545;
    transition: border 300ms;
}

.modals-layer .modal .modal-container .modal-body .modal-form .modal-form-input.verified  {
    border: 1px solid #2EA66A;
    transition: border 300ms;
}

.modals-layer .modal .modal-container .modal-body .modal-form .modal-form-input .modal-form-input-left {
    display: flex;
    gap: 8px;
    align-items: center;
}
.modals-layer .modal .modal-container .modal-body .modal-form .modal-form-input .modal-form-input-left .modal-form-input-icon {
    color: #6e7681;
    display: flex;
}

.modals-layer .modal .modal-container .modal-body .modal-form .modal-form-input .modal-form-input-left .modal-form-input-icon .currency {
    color: #6E7681;
    font-size: 14px;
    font-weight: 500;
}

.modals-layer .modal .modal-container .modal-body .modal-form .modal-form-input .modal-form-input-left .modal-form-input-icon svg {
    width: 16px;
    height: auto;
}

.modals-layer .modal .modal-container .modal-body .modal-form .modal-form-input .modal-form-input-left .modal-form-input-icon.modal-form-input-icon-phone-code {
    gap: 4px;
    cursor: pointer;
} 

.modals-layer .modal .modal-container .modal-body .modal-form .modal-form-input .modal-form-input-left .modal-form-input-icon.modal-form-input-icon-phone-code svg:last-child {
    width: 14px;
    height: 14px;
}

.modals-layer .modal .modal-container .modal-body .modal-form .modal-form-input .modal-form-input-left .modal-form-input-icon svg {}
.modals-layer .modal .modal-container .modal-body .modal-form .modal-form-input .modal-form-input-left .modal-form-input-line {
    width: 1px;
    height: 14px;
    background: #C7CDD6;
}
.modals-layer .modal .modal-container .modal-body .modal-form .modal-form-input .modal-form-input-right {
    width: 100%;
    display: flex;
}

.modals-layer .modal .modal-container .modal-body .modal-form .modal-form-input .modal-form-input-right .currency-value {
    color: #121417;
    font-weight: 500;
    font-size: 14px;
}

.modals-layer .modal .modal-container .modal-body .modal-form .modal-form-input .modal-form-input-right .phone-input {
    color: #121417;
    font-size: 14px;
    font-weight: 500;
    width: 100%;
    height: 48px;
    line-height: 48px;
}

.modals-layer .modal .modal-container .modal-body .modal-form .modal-form-input .modal-form-input-right .phone-input span.value {}
.modals-layer .modal .modal-container .modal-body .modal-form .modal-form-input .modal-form-input-right .phone-input span.mask {
    opacity: 0.15;
}

.modals-layer .modal .modal-container .modal-body .modal-form .modal-form-input .modal-form-input-right input.hidden {opacity: 0;height: 0px;width: 0;}

.modals-layer .modal .modal-container .modal-body .modal-form .modal-form-input .modal-form-input-right input {
    color: #121417;
    font-size: 14px;
    font-weight: 500;
    width: 100%;
    height: 48px;
    line-height: 48px;
}
.modals-layer .modal .modal-container .modal-body .modal-form .modal-form-input .modal-form-input-right input::placeholder {
    color: #a1a7b0;
    font-size: 14px;
    font-weight: 500;
}

.modals-layer .modal .modal-container .modal-body .modal-form .modal-form-input .modal-form-input-additional-content {
    margin-right: -14px;
}

.modals-layer .modal .modal-container .modal-body .modal-form .modal-form-input .modal-form-input-additional-content .svg-button svg {
    color: #dfdfec;
    transition: all 300ms;
}

.modals-layer .modal .modal-container .modal-body .modal-form .modal-form-input .modal-form-input-additional-content .svg-button:hover svg {
    color: #8a919b;
    transition: all 300ms;
}

.modals-layer .modal .modal-container .modal-body .modal-form .modal-form-input .modal-form-input-additional-content .svg-button {
    width: 48px;
    height: 48px;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
}


/* Modals Country Codes */
.modals-layer .modal .modal-container .modal-body .country-phone-codes {
    display: flex;
    flex-direction: column;
    gap: 2px;
    align-items: center;
}
.modals-layer .modal .modal-container .modal-body .country-phone-codes .country-phone-code {
    display: flex;
    gap: 24px;
    width: calc(100% - 28px);
    height: 49px;
    padding: 0px 14px;
    color: #121417;
    font-weight: 500;
    font-size: 14px;
    align-items: center;
    cursor: pointer;
}

.modals-layer .modal .modal-container .modal-body .country-phone-codes .country-phone-code:last-child {
    border: 0;
}

.modals-layer .modal .modal-container .modal-body .country-phone-codes .country-phone-code:hover {
    border-radius: 14px;
    background: #F4F5F6;
}

.modals-layer .modal .modal-container .modal-body .country-phone-codes .country-phone-code .left {
    display: flex;
    gap: 5px;
    align-items: center;
    width: 58px;
}
.modals-layer .modal .modal-container .modal-body .country-phone-codes .country-phone-code .left svg {
    width: 16px;
    height: 16px;
}
.modals-layer .modal .modal-container .modal-body .country-phone-codes .country-phone-code .right {}
.modals-layer .modal .modal-container .modal-body .country-phone-codes .country-phone-code-separator {
    width: calc(100% - 28px);
    height: 1px;
    background: #F4F5F6;
}

/* Modals Currencies Picker */
.modals-layer .modal .modal-container .modal-body .currencies-list {
    display: flex;
    flex-direction: column;
    gap: 2px;
    align-items: center;
}
.modals-layer .modal .modal-container .modal-body .currencies-list .currency {
    display: flex;
    gap: 10px;
    width: calc(100% - 28px);
    height: 49px;
    padding: 0px 14px;
    color: #121417;
    font-weight: 500;
    font-size: 14px;
    align-items: center;
    cursor: pointer;
}

.modals-layer .modal .modal-container .modal-body .currencies-list .currency:last-child {
    border: 0;
}

.modals-layer .modal .modal-container .modal-body .currencies-list .currency:hover {
    border-radius: 14px;
    background: #F4F5F6;
}

.modals-layer .modal .modal-container .modal-body .currencies-list .currency .left {
    display: flex;
    align-items: center;
    font-size: 14px;
    font-weight: 500;
    color: #6E7681;
}
.modals-layer .modal .modal-container .modal-body .currencies-list .currency .left svg {
    width: 16px;
    height: 16px;
}
.modals-layer .modal .modal-container .modal-body .currencies-list .currency .right {
    color: #121417;
    font-weight: 500;
    font-size: 14px;
}
.modals-layer .modal .modal-container .modal-body .currencies-list .currencies-separator {
    width: calc(100% - 28px);
    height: 1px;
    background: #F4F5F6;
}



/* Modals Scrollable Header */
.modals-layer .modal .modal-container .modal-scrollable-header {
    position: sticky;
    top: 0;
    margin-bottom: -53px;
    margin-top: -18px;
    margin-left: -18px;
    width: 100%;
    height: 34px;
    padding: 8px 18px 8px 18px;
    background: #fff;
    border-radius: 24px 24px 0px 0px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    border-bottom: 1px solid #f4f5f6;
}
.modals-layer .modal .modal-container .modal-scrollable-header .modal-scrollable-header-title {
    color: #121417;
    font-size: 16px;
    font-weight: 600;
    width: 100%;
    text-align: center;
    padding-left: 30px;
}
.modals-layer .modal .modal-container .modal-scrollable-header .modal-scrollable-header-close {
    cursor: pointer;
    color: #8a919b;
    transition: all 300ms;
    width: 30px;
    height: 30px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.modals-layer .modal .modal-container .modal-scrollable-header .modal-scrollable-header-close:hover {
    color: #121417;
    transition: all 300ms;
}

@media (max-width: 1024px) {
    .modals-layer {
        align-items: flex-end;
    }

    .modals-layer .modal {
        border-radius: 24px 24px 0px 0px;
    }

    .modals-layer .modal .modal-container {
        width: 100vw;
        height: calc(100vh - 40px);
        border-radius: 24px 24px 0px 0px;
    }

    .modals-layer .modal .modal-container .modal-wrapper {
        max-height: calc(100vh - 40px);
    }
}

/* Search Empty */
.modals-layer .modal .search-empty {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 10px;
    margin-top: 20px;
    width: 100%;
}
.modals-layer .modal .search-empty svg {
    color: #121417;
    width: 40px;
    height: 40px;
}

.modals-layer .modal .search-empty .search-empty-details {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
}

.modals-layer .modal .search-empty .search-title {
    color: #121417;
    font-size: 20px;
    font-weight: 500;
}
.modals-layer .modal .search-empty .search-description {
    color: #6E7681;
    font-size: 14px;
    font-weight: 500;
    max-width: 90%;
    text-align: center;
    word-break: break-word;
}
.modals-layer .modal .search-empty .search-clear-button {
    color: #121417;
    font-size: 14px;
    font-weight: 500;
    padding: 11px 30px;
    background: #E8EAED;
    border-radius: 14px;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
} 

/* Form Validator */
.modals-layer .modal .modal-container .modal-body .modal-form .modal-form-validators {
    display: flex;
    flex-direction: column;
}
.modals-layer .modal .modal-container .modal-body .modal-form .modal-form-validators .modal-form-validator {
    color: #C7CDD6;
    font-size: 12px;
    font-weight: 500;
    transition: color 300ms;
    display: flex;
    align-items: center;
    gap: 4px;
}
.modals-layer .modal .modal-container .modal-body .modal-form .modal-form-validators .modal-form-validator svg {
    color: #8A919B;
    transition: color 300ms;
    width: 16px;
    height: 16px;
}
.modals-layer .modal .modal-container .modal-body .modal-form .modal-form-validators .modal-form-validator.validate {
    color: #2EA66A;
    transition: color 300ms;
}
.modals-layer .modal .modal-container .modal-body .modal-form .modal-form-validators .modal-form-validator.validate svg {
    color: #2EA66A;
    transition: color 300ms;
}

/* Promocode section */
.modals-layer .modal .modal-container .modal-body .modal-form .text {
    color: #6E7681;
    font-size: 14px;
    font-weight: 500;
}
.modals-layer .modal .modal-container .modal-body .modal-form .text.center {
    text-align: center;
}

.modals-layer .modal .modal-container .modal-body .modal-form .text.small {
    font-size: 10px;
}

.modals-layer .modal .modal-container .modal-body .modal-form span.link {
    color: #2F80ED;
    cursor: pointer;
    transition: color 300ms;
}

.modals-layer .modal .modal-container .modal-body .modal-form span.link:hover {
    color: #4394FF;
    transition: color 300ms;
}

.modals-layer .modal .modal-container .modal-body .captcha-block {
    display: flex;
    justify-content: center;
}

.modals-layer .modal .modal-separator {
    width: 100%;
    height: 1px;
    background: #F4F5F6;
}